OBJRES(1)

NAME
objres - compile binary data into an object file.

SYNOPSIS
objres [OPTIONS] [SYMBOL=]FILE ...

DESCRIPTION
objres takes as input one or more files containing binary data, and creates an ELF object file that exports the contents of each input file as a read-only compile-time object. objres also produces a C header file that declares each of the exported objects as an array of unsigned char.

Each input file may be preceded by the symbol name to assign to that binary object. If no symbol name is provided, objres will derive one from the filename.

OPTIONS

-o, --output=FILENAME
    Set the name of the target object file to FILENAME. If this option is omitted, the default filename will be derived from the name of the exported symbol (or the first symbol, if there is more than one).

-h, --header=FILENAME
    Set the name of the header file to FILENAME. If this option is omitted, the default filename will be chosen to match the name of the object file.

-m, --machine={32|64}
    Set the target object file to be either a 32-bit ELF object or a 64-bit ELF object. The default type will be the same as the objres binary's type.

-R, --reference=OBJFILE
    Examine the object file OBJFILE, and copy the fields from its ELF header to the file created. By default objres will only target x86 platforms; this option allows it to create object files for other platforms.

-r, --read-only
    Place the binary objects in read-only memory. The objects will be declared as arrays of const unsigned char.

--help
    Display help and exit.

--version
    Display version information and exit.

COPYRIGHT
Copyright © 2011 Brian Raiter <breadbox@muppetlabs.com>.

License GPLv2+: GNU GPL version 2 or later. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.